# Interface methods for submodule: DistanceMetric
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import FunctionBaseProxy as _FunctionBaseProxy


# Interface methods for class: DistanceMetric
class DistanceMetricProxy(_FunctionBaseProxy):
	def GetNameOfClass(self):
		""""""
		...

	def SetOrigin(self, x: Sequence[float]) -> None:
		""""""
		...

	def GetOrigin(self) -> Sequence[float]:
		""""""
		...

	@overload
	def Evaluate(self, x: Sequence[float]) -> float:
		""""""
		...

	@overload
	def Evaluate(self, x1: Sequence[float], x2: Sequence[float]) -> float:
		""""""
		...

	def SetMeasurementVectorSize(self, s: int) -> None:
		""""""
		...

	def GetMeasurementVectorSize(self) -> int:
		""""""
		...

